Subject: Re: [PATCH 12/30] net: wireless: cisco: airo: Fix a myriad of coding style issues

From: Kalle Valo <[email-masked]>
Date: Fri, 28 Aug 2020 15:37:50 +0300

Lee Jones <[email-masked]> writes:

> On Fri, 28 Aug 2020, Kalle Valo wrote:
>
>> Ondrej Zary <[email-masked]> writes:
>> 
>> > On Thursday 27 August 2020 09:49:12 Kalle Valo wrote:
>> >> Ondrej Zary <[email-masked]> writes:
>> >> 
>> >> > On Monday 17 August 2020 20:27:06 Jesse Brandeburg wrote:
>> >> >> On Mon, 17 Aug 2020 16:27:01 +0300
>> >> >> Kalle Valo <[email-masked]> wrote:
>> >> >> 
>> >> >> > I was surprised to see that someone was using this driver in 2015, so
>> >> >> > I'm not sure anymore what to do. Of course we could still just remove
>> >> >> > it and later revert if someone steps up and claims the driver is still
>> >> >> > usable. Hmm. Does anyone any users of this driver?
>> >> >> 
>> >> >> What about moving the driver over into staging, which is generally the
>> >> >> way I understood to move a driver slowly out of the kernel?
>> >> >
>> >> > Please don't remove random drivers.
>> >> 
>> >> We don't want to waste time on obsolete drivers and instead prefer to
>> >> use our time on more productive tasks. For us wireless maintainers it's
>> >> really hard to know if old drivers are still in use or if they are just
>> >> broken.
>> >> 
>> >> > I still have the Aironet PCMCIA card and can test the driver.
>> >> 
>> >> Great. Do you know if the airo driver still works with recent kernels?
>> >
>> > Yes, it does.
>> 
>> Nice, I'm very surprised that so old and unmaintained driver still
>> works. Thanks for testing.
>
> That's awesome.  Go Linux!
>
> So where does this leave us from a Maintainership perspective?  Are
> you still treating the driver as obsolete?  After this revelation, I
> suggest not.  So let's make it better. :)

Yeah, I can take patches to airo now. I already applied this one.

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches